#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import locale
locale.setlocale(locale.LC_ALL, '')

from tuikit import *


class MyApplication(Application):
    def __init__(self):
        Application.__init__(self)
        self.top.connect('keypress', self.on_keypress)

        vert = VerticalLayout(homogeneous=False)
        self.top.layout(vert)
        
        combo = ComboBox(items=['abc', 'xyz'])
        self.top.add(combo)
        
        for i in range(10):
            cbox = Checkbox('checkbox ' + str(i))
            self.top.add(cbox)
        
    def on_keypress(self, keyname, char):
        if keyname == 'escape' or char == 'q':
            self.terminate()


if __name__ == '__main__':
    app = MyApplication()
    app.start()

